
<div *ngIf="active">
    <div [hidden]="state?.errorMessage ? false : true" (click)="setServer()" class="alert alert-danger" role="alert">
        <span class="fa fa-exclamation-triangle" aria-hidden="true"></span>
        {{state?.errorMessage}}
        <br/>
    </div>
    <div><label><strong>You register owner account for {{nameCompany}}</strong> </label></div>
    <button (click)="changeNameCompany()">Change Name Company</button>
    <form #credentialsForm="ngForm">
        <div class="panel-heading">
            <h3 class="panel-title">Create Your Company Owner Account</h3>
        </div>
        <div class="panel-body">
            <div class="form-group">
                <label for="username">Username:</label>
                <input [(ngModel)]="credentials.username" name="username" type="text" class="form-control" ngControl="username" #username="ngModel" required id="username">
                <div [hidden]="username.valid || username.pristine" class="alert alert-danger">
                    Username is required
                </div>
            </div>
            <div class="form-group">
                <label for="email">Email</label><span> (optional)</span>
                <input [(ngModel)]="credentials.email" name="email" type="text" ngControl="email" class="form-control" id="email">
            </div>
            <div class="form-group">
                <label for="password">Password</label>
                <input [(ngModel)]="credentials.password" name="password" type="password" ngControl="password" #password="ngModel" required class="form-control" id="password">
                <div [hidden]="password.valid || password.pristine" class="alert alert-danger">
                    Password is required
                </div>
            </div>
            <div>
                <button (click)="register()" [disabled]="!credentialsForm.form.valid" class="btn btn-primary pull-right">Login</button>
            </div>
        </div>
    </form>
</div>
